import requests
url = "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.lucidworks-document"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.lucidworks-document")
.body("{}")
.asString();const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.lucidworks-document'
},
body: JSON.stringify({})
};
fetch('https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.lucidworks-document'
request.body = "{}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.lucidworks-document")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.lucidworks-document"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.lucidworks-document' \
--data '{}'{}Index a document (deprecated)
Use /api/index/{id} instead.
import requests
url = "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.lucidworks-document"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.lucidworks-document")
.body("{}")
.asString();const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.lucidworks-document'
},
body: JSON.stringify({})
};
fetch('https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.lucidworks-document'
request.body = "{}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.lucidworks-document")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/index-pipelines/{id}/collections/{collection}/index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.lucidworks-document"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
MIME type
Query Parameters
Run the pipeline in "simulate" mode for these docs. Stages with "side-effects" are skipped.
If true, indexed documents are included in the response.
The number of documents to include in the response, with -1 implying "all".
If true, the SolrIndexStage buffers docs.
Indicates if the indexing should proceed if an error is encountered or if it should throw an exception.
Indexing request parameters. The parameters of the indexing request.
Show child attributes
Show child attributes
Return statistics about pipeline processing events.
Deprecated.
(Deprecated) Id of the parser to be used. Use async-parser instead.
Skip the parsing and treat document as byte stream.
The filename on the source system.
Body
The body is of type object.
Response
OK
The response is of type object.
Was this page helpful?